org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class MergeAllNonConflictingAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction
          - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAllNonConflictingAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener

    public class MergeAllNonConflictingAction
    extends MergeAction

Action that manages a merge of a all non-conflicting difference.

Since:
  3.0

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`ADAPTER__TARGET, editingDomain, mergerRegistry`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`MergeAllNonConflictingAction(IEMFCompareConfiguration compareConfiguration, Comparison comparison, IMerger.Registry mergerRegistry, MergeMode mode)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MergeNonConflictingRunnable` `createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected void` `execute(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected Iterable<Diff>` `getSelectedDifferences(Iterable<Diff> diffs)`
`protected void` `initToolTipAndImage(MergeMode mode)`
`void` `setComparison(Comparison comparison)`
`protected boolean` `updateSelection(org.eclipse.jface.viewers.IStructuredSelection selection)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeAction

`clearCache, contextualizeTooltip, executeCompareCopyCommand, getDiffRelationshipComputer, getSelectedDifferences, getSelectedDifferences, getSelectedMode, getStatePredicate, isLeftEditable, isLeftToRight, isMirrored, isRightEditable, run, setAdapterFactory, setEditingDomain, setMirrored`

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeAllNonConflictingAction

    public MergeAllNonConflictingAction(IEMFCompareConfiguration compareConfiguration,
                                        Comparison comparison,
                                        IMerger.Registry mergerRegistry,
                                        MergeMode mode)

Constructor.

Parameters:
  `configuration` - The compare configuration object.

### Method Detail

#### createMergeRunnable

    protected MergeNonConflictingRunnable createMergeRunnable(MergeMode mode,
                                                              boolean isLeftEditable,
                                                              boolean isRightEditable,
                                                              IDiffRelationshipComputer relationshipComputer)

Overrides:
  `createMergeRunnable` in class `MergeAction`

#### initToolTipAndImage

    protected void initToolTipAndImage(MergeMode mode)

Overrides:
  `initToolTipAndImage` in class `MergeAction`

#### setComparison

    public void setComparison(Comparison comparison)

#### execute

    protected void execute(ICompareCommandStack commandStack,
                           MergeMode mode,
                           List<Diff> diffs)

Overrides:
  `execute` in class `MergeAction`

#### updateSelection

    protected boolean updateSelection(org.eclipse.jface.viewers.IStructuredSelection selection)

Overrides:
  `updateSelection` in class `MergeAction`
See Also:
  `MergeAction.updateSelection(org.eclipse.jface.viewers.IStructuredSelection)`

#### getSelectedDifferences

    protected Iterable<Diff> getSelectedDifferences(Iterable<Diff> diffs)

Overrides:
  `getSelectedDifferences` in class `MergeAction`